<div class="container-fluid">
    <form [formGroup]="registrationForm" (ngSubmit)='onSubmit()'>
        <div class="form-group">
            <input [class.is-invalid]="registrationForm.get('firstName').invalid && 
                                       registrationForm.get('firstName').touched" formControlName="firstName" type="text" class="form-control">
            <div *ngIf="registrationForm.get('firstName').invalid && registrationForm.get('firstName').touched">
                <small *ngIf="registrationForm.get('firstName').errors?.required" class="text-danger">First Name is Required</small>
                <small *ngIf="registrationForm.get('firstName').errors?.minlength" class="text-danger">First Name must be at least 3 Character</small>
                <small *ngIf="registrationForm.get('firstName').errors?.forbidenName" class="text-danger">{{registrationForm.get('firstName').errors?.forbidenName.value}} Name not Allowed</small>
            </div>
        </div>
        <div class="form-group">
            <input [class.is-invalid]="registrationForm.get('lastName').invalid && 
                                        registrationForm.get('lastName').touched" formControlName="lastName" type="text" class="form-control">
            <div *ngIf="registrationForm.get('lastName').invalid && registrationForm.get('lastName').touched">
                <small *ngIf="registrationForm.get('lastName').errors?.required" class="text-danger">Last Name is Required</small>
                <small *ngIf="registrationForm.get('lastName').errors?.minlength" class="text-danger">Last Name must be at least 4 Character</small>
            </div>
        </div>
        <div class="form-group">
            <input [class.is-invalid]="registrationForm.get('phoneNo').invalid && 
                                        registrationForm.get('phoneNo').touched"  formControlName="phoneNo" type="text" class="form-control">
            <div *ngIf="registrationForm.get('phoneNo').invalid && registrationForm.get('phoneNo').touched">
                <small *ngIf="registrationForm.get('phoneNo').errors?.required" class="text-danger">Phone No. is Required</small>
                <small *ngIf="registrationForm.get('phoneNo').errors?.range" class="text-danger">Phone No. is not valid</small>
            </div>
        </div>
        <div class="form-group">
            <input [class.is-invalid]="registrationForm.get('emailId').invalid && 
                                        registrationForm.get('emailId').touched" formControlName="emailId" type="text" class="form-control">
            <div *ngIf="registrationForm.get('emailId').invalid && registrationForm.get('emailId').touched">
                <small *ngIf="registrationForm.get('emailId').errors?.required" class="text-danger">Email-ID is Required</small>
                <small *ngIf="registrationForm.get('emailId').errors?.email" class="text-danger">Email-ID not Valid</small>
            </div>
        </div><!--
        <div formGroupName="addressForm">
            <div class="form-group">
                <input [class.is-invalid]="addressForm.get('address').invalid && 
                                            addressForm.get('address').touched" formControlName="address" type="text" class="form-control">
                <div *ngIf="addressForm.get('address').invalid && addressForm.get('address').touched">
                    <small *ngIf="addressForm.get('address').errors?.required" class="text-danger">Address is Required</small>
                </div>
            </div>
            <div class="form-group">
                <input [class.is-invalid]="registrationForm.get('city').invalid && 
                                            registrationForm.get('city').touched" formControlName="city" type="text" class="form-control">
                <div *ngIf="registrationForm.get('city').invalid && registrationForm.get('city').touched">
                    <small *ngIf="registrationForm.get('city').errors?.required" class="text-danger">City is Required</small>
                </div>
            </div>
            <div class="form-group">
                <input [class.is-invalid]="registrationForm.get('state').invalid && 
                registrationForm.get('state').touched" formControlName="state" type="text" class="form-control">
                <div *ngIf="registrationForm.get('state').invalid && registrationForm.get('state').touched">
                    <small *ngIf="registrationForm.get('state').errors?.required" class="text-danger">State is Required</small>
                </div>
            </div>
            <div class="form-group">
                <input [class.is-invalid]="registrationForm.get('phoneNo').invalid && 
                registrationForm.get('phoneNo').touched" formControlName="postalCode" type="number" class="form-control">
                <div *ngIf="registrationForm.get('phoneNo').invalid && registrationForm.get('phoneNo').touched">
                    <small *ngIf="registrationForm.get('phoneNo').errors?.required" class="text-danger">Postal-Code is Required</small>
                    <small *ngIf="registrationForm.get('phoneNo').errors?.maxlength" class="text-danger">Phone No. can't be more than 10 digits</small>
                </div>
            </div>
        </div>  -->      
        <button class="btn btn-primary" type="submit">Submit</button>
    </form>
</div>